﻿DECLARE @@MAIL_PROFILE VARCHAR(100),
		@@MAIL_TO VARCHAR(MAX),
		@@MAIL_CC VARCHAR(MAX),
		@@MAIL_BCC VARCHAR(MAX),
		@@MAIL_SUBJECT VARCHAR(MAX),
		@@MAIL_CONTENT VARCHAR(MAX),
		@@BODY_FORMAT VARCHAR(4),
		@@MAIL_SENDER VARCHAR(100),
		@@MAIL_ALIASES VARCHAR(100)

SELECT @@MAIL_PROFILE = SYSTEM_VALUE FROM TB_M_SYSTEM WHERE FUNCTION_ID = 'EMAIL_PROFILE' AND SYSTEM_CD = 'EMAIL_PROFILE'

SELECT @@MAIL_SENDER = SYSTEM_VALUE FROM TB_M_SYSTEM WHERE FUNCTION_ID = 'SPOT_NOTIFIER' AND SYSTEM_CD = 'MAIL_SENDER'
SELECT @@MAIL_ALIASES = SYSTEM_VALUE FROM TB_M_SYSTEM WHERE FUNCTION_ID = 'SPOT_NOTIFIER' AND SYSTEM_CD = 'MAIL_ALIAS'
SET @@MAIL_ALIASES = '"' + @@MAIL_ALIASES + '"' + ' <' + @@MAIL_SENDER + '>'

SELECT @@MAIL_TO = SYSTEM_VALUE FROM TB_M_SYSTEM WHERE FUNCTION_ID = 'SPOT_NOTIFIER' AND SYSTEM_CD = 'MAIL_TO'
SELECT @@MAIL_CC = SYSTEM_VALUE FROM TB_M_SYSTEM WHERE FUNCTION_ID = 'SPOT_NOTIFIER' AND SYSTEM_CD = 'MAIL_CC'
SELECT @@MAIL_BCC = SYSTEM_VALUE FROM TB_M_SYSTEM WHERE FUNCTION_ID = 'SPOT_NOTIFIER' AND SYSTEM_CD = 'MAIL_BCC'
SELECT @@MAIL_SUBJECT = SYSTEM_VALUE FROM TB_M_SYSTEM WHERE FUNCTION_ID = 'SPOT_NOTIFIER' AND SYSTEM_CD = 'MAIL_SUBJECT'
SELECT @@MAIL_CONTENT = SYSTEM_VALUE FROM TB_M_SYSTEM WHERE FUNCTION_ID = 'SPOT_NOTIFIER' AND SYSTEM_CD = 'MAIL_BODY'
SELECT @@BODY_FORMAT = SYSTEM_VALUE FROM TB_M_SYSTEM WHERE FUNCTION_ID = 'SPOT_NOTIFIER' AND SYSTEM_CD = 'MAIL_FORMAT'

EXEC msdb.dbo.sp_send_dbmail
				@from_address = @@MAIL_ALIASES,
				@profile_name = @@MAIL_PROFILE,
				@recipients = @@MAIL_TO,
				@copy_recipients = @@MAIL_CC,
				@blind_copy_recipients = @@MAIL_BCC,
				@subject = @@MAIL_SUBJECT, 
				@body = @@MAIL_CONTENT,
				@body_format = @@BODY_FORMAT; 